
#import <appkit/appkit.h>

@interface RulePanel:View {

/* main window - - - - - - - - - - - - - - - - - - - - - - - -  */

	id		ascru;
	id		sqascru;
	id		pSliders;
	id		pWindows;
	id		ruleBox;
	id		ruButtons;
	id		ruleNumber;
	id		totlRef;
	id		sIncr;
	id		sqRuleBox;
	id		svrule;
	id		tiDat;
	id		whichState;
	id		wrule;

/* permuted rule - - - - - - - - - - - - - - - - - - - - - - -  */

	id		pMut0;
	id		pMut1;
	id		pMut2;

/* ----- symmetry class  Window -----------------------------------------*/

	id		symBox;
	id		symImages;
	id		symMinimum;
	id		symWindow;

/* symmetric rule - - - - - - - - - - - - - - - - - - - - - - - */

	id		sRuleCoef;
	id		sRuleExp;
	id		sRuleIncr;

	id		gfWindow;

/* Rule Panel  - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		infoPanel;
	id		mainWindow;
	id		menuCopy;
	id		menuPrint;
	id		nowBox;
	id		nowSpesh;
	id		speshPanel;
	id		probView;

/* - - - - - - - Holding Box for Special Rules - - - - - - - - - */

	id		specBigBox;
	id		specLilBox;
	id		arithmRuleBox;
	id		equivRuleBox;
	id		permutRuleBox;
	id		PermutRuleBox;
	id		subsetRuleBox;

/* clannish Window  - - - - - - - - - - - - - - - - - - - - - */

	id		clanMatrix;
	id		clan2h;

/* totalistic rules  - - - - - - - - - - - - - - - - - - - - - */

	id		toascru;
	id		toRuleBox;
	id		toRuleNumber;
	id		toWindow;

/* - - - - - - - Designed Rule - - - - - - - - - - - */

	id		designBox;
	id		designPanel;
	id		designPrm;
	id		designRef;
	id		zeZeZe;

/* - - - - - - - ID'S for REC Line - - - - - - - - - */

	id		RECLine;
	id		RECPanel;
	id		RECValue;

	id		pRu;

/* equivalence Box  - - - - - - - - - - - - - - - - - - - - - - */

	id		eqChoices;
	id		eqFactor;
	id		eqPair;

/* arithmetic Box - - - - - - - - - - - -*/

	id		twoRules;		/*new id group*/

	id 		browser; 	/* browser of REC */
	id		changeLine;	/* new for relatedRule */

}

- loadSpecialRule:sender;
- loadLowerPanel:thisRuleBox;

- copyRuleBox:sender;
- freeAllRules:sender;
- insertRule:sender;
- ranRules:sender;
- ranPRules:sender;
- relatedRule:sender;
- readSqRule:sender;
- readSVRule:sender;
- readWRule:sender;
- resetRuButtons:sender;
- protectGenRule:sender;
- randomLine:sender;
- setAllImages:sender;
- setAllRules:sender;
- setDemo:sender;
- setRule:sender; 
- showProbability:sender;
- symRule:sender;
- zeroRules:sender; 

- randomLine:sender;
- sCellLine:sender;
- uniformLine:sender;

- showSymClass:sender;

- enterGF3Rule:sender; 
- setMCoeff:sender;
- setSCoeff:sender;
- setVCoeff:sender;

- enterTotalisticRule:sender;
- ranTRule:sender;
- readTRule:sender;
- setTotRule:sender;
- setTotRules:sender;

- randphobic:sender;
- xenophilic:sender;
- xenophobic:sender;
- enterPair:sender;

- rangul:sender;

- clearDesign:sender;
- copyToDesign:sender;
- deZign:sender;
- enterDesign:sender;

- useRECLine:sender;
- runRECLine:sender;

- pmutRule:sender;
- pmuteRule:sender;
- pMutRule:sender;
- pmutValue:sender;

- arithmCombs:sender;		/*new action of arithmRules*/
- initTwoRules:sender;		/*new action of arithmRules*/

- loadLowerPanel:thisRuleBox;  
- loadSpecialRule:sender;

@end 

/* end RulePanel.h */ 
