
#import <appkit/appkit.h>

@interface ArdnPanel:View {

/* ABC - window - - - - - - - - - - - - - - - - - - - - - - - - - - - - */ 

	id		aCimag;
	id		aCosine;
	id		aEigenvalue;
	id		aPower;
	id		aTheta;
	id		aMatrix;
	id		bMatrix;
	id		cMatrix;
	id		pCimag;
	id		pMatrix;
	id		pString;
	id		sButton, pButton;
	id		ruleNumber;
	id		sigmaC;
	id		sigmaX;
	id		aColumn, aColumnR;
	id		aRow, aRowR;

/* T - window - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */ 

	id		tEigenvalue;
	id		tMatrix;
	id		tPower;
	id		tRuleNumber;
	id		tWindow;

/* arFrequ window - - - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		anFact;
	id		anFreq;
	id		anRule;
	id		anVari;
	id		anWindow;

/* arGraph window - - - - - - - - - - - - - - - - - - - - - - - - - - - */

/* arDistr window - - - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		varText;
	id		varWindow;

/* arHisto window - - - - - - - - - - - - - - - - - - - - - - - - - - - */

	id		histoWindow;
	id		dataList;
	id		histoGram;

	id		ABCWindow;	/* for symbolic de Bruijn matrices */
	id		ABCBox;		/* just the matrices, for copying  */
	id		menuCopy;
	id		menuPrint;

}

- allmoData:sender;
- ardn: sender;
- arsq:sender;
- loadArdn:sender;
- moments:sender;
- reversibles:sender;
- showFrequencies:sender;
- showHistoGram:sender;
- squaredRules:sender;
- squareRoots:sender;

@end

/* end ArdnPanel */
